﻿using Android.App;
using Android.OS;
using Com.Syncfusion.Charts;
using System.Collections.ObjectModel;
using Android.Graphics;
using Android.Views;
using Com.Syncfusion.Rangenavigator;
using System;
using Java.Util;

namespace Chart_GettingStarted
{
    [Activity( MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            Window.RequestFeature(WindowFeatures.NoTitle);

            SetContentView(Resource.Layout.Main);
            SfChart Chart = FindViewById<SfChart>(Resource.Id.Chart);
            SfChart NavChart = new SfChart(this);
            SfDateTimeRangeNavigator ChartDateNav = FindViewById<SfDateTimeRangeNavigator>(Resource.Id.ChartDateNav);
            DateTimeAxis XAxis = new DateTimeAxis();
            XAxis.LabelCreated += (sender, e) => {
       //         e.AxisLabel.LabelContent = JDateTime.JDateNTime(DateTime.Parse((string)e.AxisLabel.LabelContent));
            };
            NumericalAxis YAxis = new NumericalAxis();
            ObservableCollection<ChartData> Data = new ObservableCollection<ChartData>() {
                new ChartData { Date = DateTime.Now.AddDays(-10), Price = 180000 },
                new ChartData { Date = DateTime.Now.AddDays(-8), Price = 170000 },
                new ChartData { Date = DateTime.Now.AddDays(-4), Price = 190000 },
                new ChartData { Date = DateTime.Now.AddDays(-1), Price = 180000 }
            };

            LineSeries LSeries = new LineSeries()
            {
                ItemsSource = Data,
                XBindingPath = "Date",
                YBindingPath = "Price",
                Label = "First Product",
                TooltipEnabled = true,
                Color = Color.Green,
                SelectedDataPointColor = Color.DarkGreen
            };
            ChartTrackballBehavior TrackballBehavior = new ChartTrackballBehavior
            {
                ShowLabel = true,
                ShowLine = true
            };
            Chart.PrimaryAxis = XAxis;
            Chart.SecondaryAxis = YAxis;
            Chart.Series.Add(LSeries);
            Chart.Behaviors.Add(TrackballBehavior);
            DateTimeAxis NavXAxis = new DateTimeAxis()
            {
                Visibility = Visibility.Gone,
                ShowMajorGridLines = false,
                ShowMinorGridLines = false
            };
            NumericalAxis NavYAxis = new NumericalAxis()
            {
                Visibility = Visibility.Gone,
                ShowMajorGridLines = false,
                ShowMinorGridLines = false
            };
            ObservableCollection<ChartData> NavData = new ObservableCollection<ChartData>() {
                new ChartData { Date = DateTime.Now.AddDays(-10), Price = 180000 },
                new ChartData { Date = DateTime.Now.AddDays(-8), Price = 170000 },
                new ChartData { Date = DateTime.Now.AddDays(-4), Price = 190000 },
                new ChartData { Date = DateTime.Now.AddDays(-1), Price = 180000 }
            };
            LineSeries NavLSeries = new LineSeries()
            {
                ItemsSource = NavData,
                XBindingPath = "Date",
                YBindingPath = "Price",
                Color = Color.Green,
            };
            NavChart.PrimaryAxis = NavXAxis;
            NavChart.SecondaryAxis = NavYAxis;
            NavChart.Series.Add(NavLSeries);
            NavChart.Legend.Visibility = Visibility.Gone;

            var Min = DateTime.Now.AddDays(-11);
            var Max = DateTime.Now;
            ChartDateNav.Minimum = new GregorianCalendar(Min.Year, Min.Month - 1, Min.Day, Min.Hour, Min.Minute, Min.Second).Time;
            ChartDateNav.Maximum = new GregorianCalendar(Max.Year, Max.Month - 1, Max.Day, Max.Hour, Max.Minute, Max.Second).Time;

            ChartDateNav.RangeChanged += (sender, e) => {
                XAxis.Minimum = e.ViewRangeStart;
                XAxis.Maximum = e.ViewRangeEnd;
            };
            ChartDateNav.Content = NavChart;
            ChartDateNav.MajorScaleStyle.ShowGridLines = false;
            ChartDateNav.MinorScaleStyle.ShowGridLines = false;
        }
    }

    public class ChartData
    {
        public DateTime Date { get; set; }

        public double Price { get; set; }
    }
}
